import QtQuick 1.1
import com.nokia.meego 1.0
import QtWebKit 1.0
import "./js/bulder.js" as Script
import QtMobility.location 1.2


Page {
    id: stopsPage
    tools: commonStopTools
    anchors.margins: appWindow.pageMargin
    property variant coords
    orientationLock: PageOrientation.LockPortrait
    Image {
        anchors.left: parent.left
        anchors.top: parent.top
        anchors.leftMargin: -15
        anchors.topMargin: -15
        source: "./images/background.jpg"
    }
    ToolBarLayout {
        id: commonStopTools
        visible: false
        ToolIcon {
            platformIconId: "toolbar-back"
            onClicked: pageStack.pop()
        }

        ToolIcon {
            id: mapIcon
            iconSource: "./images/center.png"
            onClicked: {
                mapPage.map.clearRoute();
                mapPage.map.addGalactico();
                for(var i=0; i < coords.length; i++)
                {
                    mapPage.map.addRoutePoint(coords[i].lng,coords[i].lat,coords[i].dir);
                }
                mapPage.map.panToCoordinate(coords[0].lat,coords[0].lng);
                pageStack.push(mapPage);
            }
        }

        ToolIcon {
            platformIconId: "toolbar-view-menu"
            anchors.right: (parent === undefined) ? undefined : parent.right
            onClicked: (myMenu.status === DialogStatus.Closed) ? myMenu.open() : myMenu.close()
        }
    }

    property alias tList: stopList
         ListModel {
             id: stopList
         }

         Component {
             id: sectionHeading

             Image {
                 id: infoImg
                 source: section.split("#")[2]/*
                 anchors.verticalCenter: parent.verticalCenter*/
                 fillMode: Image.PreserveAspectFit
                 asynchronous: true
                 height: 48
                 width: 48
                 Text {
                     anchors.horizontalCenter: infoImg.horizontalCenter
                     anchors.verticalCenter: infoImg.verticalCenter
                     id: number
                     text: section.split("#")[1]
                     font.weight: Font.Bold
                     color: "white"
                     font.pixelSize: 20
                 }
                 Text {
                     anchors.left: infoImg.right
                     anchors.leftMargin: 5
                     anchors.verticalCenter: parent.verticalCenter
                     text: section.split("#")[0]
                     font.bold: true
                     font.pixelSize: 22
                 }
             }


         }

         ListView {
             id: listView
             anchors.fill: parent
             model: stopList

             section.property: "route"
             section.criteria: ViewSection.FullString
             section.delegate: sectionHeading


             delegate:  Item {
                 id: listItem
                 height: 50
                 width: parent.width

                 Text {
                     anchors.leftMargin: 5
                     anchors.verticalCenter: parent.verticalCenter
                     id: mainText
                     text: model.title
                     font.weight: Font.Bold
                     font.pixelSize: 19
                 }


                 Image {
                     source: "image://theme/icon-m-common-drilldown-arrow" + (theme.inverted ? "-inverse" : "")
                     anchors.right: parent.right;
                     anchors.verticalCenter: parent.verticalCenter
                 }

                 MouseArea {
                     id: mouseArea
                     anchors.fill: parent
                     onClicked: {
                         ttPage.tList.clear();
                         ttPage.coord = Script.makeTimeTable(ttPage.tList,model.transport,model.dirType,model.num,model.stopId,ttPage.comment,model.title);
                         ttPage.tList.clear();
                         ttPage.coord = Script.makeTimeTable(ttPage.tList,model.transport,model.dirType,model.num,model.stopId,ttPage.comment,model.title);
                         pageStack.push(ttPage);
                     }
                 }
             }
         }
         ScrollDecorator {
             flickableItem: listView
         }
}


