import QtQuick 1.1
import com.nokia.meego 1.0
import QtWebKit 1.0
import "./js/bulder.js" as Script



Page {
    id: timetablePage
    tools: stopTools
    property variant coord: {"lat":56.954319,"lng":24.102287,"dir":0}
    orientationLock: PageOrientation.LockPortrait
    Image {
        anchors.left: parent.left
        anchors.top: parent.top
        anchors.leftMargin: -15
        anchors.topMargin: -15
        source: "./images/background.jpg"
    }
    ToolBarLayout {
        id: stopTools
        visible: false
        ToolIcon {
            platformIconId: "toolbar-back"
            onClicked: pageStack.pop()
        }

        ToolIcon {
            id: mapIcon
            iconSource: "./images/center.png"
            onClicked: {
                mapPage.map.clearRoute();
                mapPage.map.addRoutePoint(coord.lng,coord.lat,coord.dir);
                mapPage.map.panToCoordinate(coord.lat,coord.lng);
                pageStack.push(mapPage);
            }
        }

        ToolIcon {
            platformIconId: "toolbar-view-menu"
            anchors.right: (parent === undefined) ? undefined : parent.right
            onClicked: (myMenu.status === DialogStatus.Closed) ? myMenu.open() : myMenu.close()
        }
    }

    anchors.margins: appWindow.pageMargin
    property alias tList: timetableList
    property alias comment: com
         ListModel {
             id: timetableList
         }
         Component {
             id: sectionHeading
                 Text {
                     id: daytype
                     text: section
                     font.weight: Font.Bold
                     font.pixelSize: 24
//                     color: "green"
                 }

         }


         ListView {
             id: listView
             anchors.fill: parent
             model: timetableList

             section.property: "daytype"
             section.criteria: ViewSection.FullString
             section.delegate: sectionHeading

             delegate:  Item {
                 id: listItem
                 height: 50
                 width: parent.width

                 Text {
                     anchors.leftMargin: 5
                     anchors.verticalCenter: parent.verticalCenter
                     id: hours
                     text: model.hour
                     font.weight: Font.Bold
                     font.pixelSize: 27
                 }
                 Text {
                     anchors.left: parent.left
                     anchors.leftMargin: 38
                     anchors.verticalCenter: parent.verticalCenter
                     anchors.verticalCenterOffset: -3
                     id: times
                     text: model.times
                     font.weight: Font.Bold
                     font.pixelSize: 22
//                     color: "gray"
                 }

             }
             Text {
                  anchors.top: parent.bottom
                  anchors.topMargin: -80
                  width: parent.width
                  wrapMode: Text.WrapAtWordBoundaryOrAnywhere
                  id: com
                  text: ""
                  font.pixelSize: 22
              }
         }



         ScrollDecorator {
             flickableItem: listView
         }
}


