import QtQuick 1.1
import com.nokia.meego 1.0
import QtWebKit 1.0
import "./js/bulder.js" as Script


Page {
    id: transportPage
    tools: commonTools
    anchors.margins: appWindow.pageMargin
    property alias tList: transportList
    orientationLock: PageOrientation.LockPortrait
    Image {
        anchors.left: transportPage.left
        anchors.top: transportPage.top
        anchors.leftMargin: -15
        anchors.topMargin: -15
        source: "./images/background.jpg"
    }
         ListModel {
             id: transportList
         }
         Component {
             id: sectionHeading
             Image {
                 id: infoImg
                 height: 48
                 width: 48
                 Text {
                     anchors.left: infoImg.right
                     anchors.leftMargin: 5
                     anchors.verticalCenter: parent.verticalCenter
                     text: section
                     font.bold: true
                     font.pixelSize: 22
                 }
             }

         }
         ListView {
             id: listView
             anchors.fill: parent
             model: transportList

             section.property: "section"
             section.criteria: ViewSection.FullString
             section.delegate: sectionHeading

             delegate:  Item {
                 id: listItem
                 height: 50
                 width: parent.width

                 Image {
                     id: infoImg
                     source: model.image
                     anchors.verticalCenter: parent.verticalCenter
                     fillMode: Image.PreserveAspectFit
                     asynchronous: true
                     height: 48
                     width: 48
                     Text {
                         anchors.horizontalCenter: parent.horizontalCenter
                         anchors.verticalCenter: parent.verticalCenter
                         id: number
                         text: model.number
                         font.weight: Font.Bold
                         color: "white"
                         font.pixelSize: 20
                     }
                 }

                 Text {
                     anchors.left: infoImg.right
                     anchors.leftMargin: 5
                     anchors.verticalCenter: parent.verticalCenter
                     id: mainText
                     text: model.title
                     font.weight: Font.Bold
                     font.pixelSize: 19
                 }


                 Image {
                     source: "image://theme/icon-m-common-drilldown-arrow" + (theme.inverted ? "-inverse" : "")
                     anchors.right: parent.right;
                     anchors.verticalCenter: parent.verticalCenter
                 }

                 MouseArea {
                     id: mouseArea
                     anchors.fill: parent
                     onClicked: {
                         stPage.tList.clear();
                         stPage.coords = Script.makeStopList(stPage.tList,model.transport,model.number);
                         pageStack.push(stPage);
                     }
                 }
             }
         }
         ScrollDecorator {
             flickableItem: listView
         }
}


