import QtQuick 1.1
import com.nokia.meego 1.0
import com.nokia.extras 1.0
import "./js/bulder.js" as Script
import Nfc 1.0

PageStackWindow {
    id: appWindow
    property int pageMargin: 16
    Component.onCompleted: Script.loadData();
    initialPage: mainPage

    MainPage {
        id: mainPage
    }

    Etalons {
        id: etalonsPage
    }

    TransportList {
        id: tp
    }

    StopList {
        id: stPage
    }

    TimeTable {
        id: ttPage
    }

    MapView {
        id: mapPage
    }

    ToolBarLayout {
        id: commonTools
        visible: false
        ToolIcon {
            platformIconId: "toolbar-back"
            onClicked: pageStack.pop()
        }

        ToolIcon {
            platformIconId: "toolbar-view-menu"
            anchors.right: (parent === undefined) ? undefined : parent.right
            onClicked: (myMenu.status === DialogStatus.Closed) ? myMenu.open() : myMenu.close()
        }
    }

    ToolBarLayout {
        id: mainTools
        visible: true

        ToolIcon {
            iconSource: "./rigainphone_toolbar/nakts.png"
            anchors.left: minibus.right
            onClicked: {
                pageStack.clear();
                pageStack.push(mainPage);
                tp.tList.clear();
                Script.makenightbusList(tp.tList);
                pageStack.push(tp);
            }
        }
        ToolIcon {
            id: minibus
            iconSource: "./rigainphone_toolbar/minibuss.png"
            anchors.left: trolley.right
            onClicked: {
                pageStack.clear();
                pageStack.push(mainPage);
                tp.tList.clear();
                Script.makeminibusList(tp.tList);
                pageStack.push(tp);
            }
        }
        ToolIcon {
            id: trolley
            iconSource: "./rigainphone_toolbar/trolejbuss.png"
            anchors.left: tram.right
            onClicked: {
                pageStack.clear();
                pageStack.push(mainPage);
                tp.tList.clear();
                Script.maketrolleyList(tp.tList);
                pageStack.push(tp);
            }
        }
        ToolIcon {
            id: tram
            iconSource: "./rigainphone_toolbar/tramvajs.png"
            anchors.left: bus.right
            onClicked: {
                pageStack.clear();
                pageStack.push(mainPage);
                tp.tList.clear();
                Script.makeTramList(tp.tList);
                pageStack.push(tp);
            }
        }
        ToolIcon {
            id: bus
            iconSource: "./rigainphone_toolbar/autobuss.png"
            anchors.left: parent.left
            onClicked: {
                pageStack.clear();
                pageStack.push(mainPage);
                tp.tList.clear();
                Script.makeBusList(tp.tList);
                pageStack.push(tp);
            }
        }
        ToolIcon {
            id: visi
            platformIconId: "toolbar-view-menu"
            anchors.right: (parent === undefined) ? undefined : parent.right
            onClicked: (myMenu.status === DialogStatus.Closed) ? myMenu.open() : myMenu.close()
        }
    }

    ToolBarLayout {
        id: mapTools
        visible: false
        ToolIcon {
            platformIconId: "toolbar-back"
            onClicked: pageStack.pop()
        }
        ToolIcon {
            platformIconId: "toolbar-view-menu"
            anchors.right: (parent === undefined) ? undefined : parent.right
            onClicked: (myMenu.status === DialogStatus.Closed) ? myMenu.open() : myMenu.close()
        }

    }


    Menu {
        id: myMenu
        visualParent: pageStack
        height: 700
        MenuLayout {
            MenuItem {
                Image {
                     anchors {
                         right: parent.right
                         rightMargin: 10
                         verticalCenter: parent.verticalCenter
                     }

                     source: "./rigainphone_toolbar/bilete.png"
                     sourceSize.width: platformStyle.graphicSizeSmall
                     sourceSize.height: platformStyle.graphicSizeSmall
                 }
                text: qsTr("Check ticket")
                onClicked: {
                    pageStack.clear();
                    pageStack.push(mainPage);
                    pageStack.push(etalonsPage);
                }
            }

            MenuItem {
                Image {
                     anchors {
                         right: parent.right
                         rightMargin: 10
                         verticalCenter: parent.verticalCenter
                     }

                     source: "./rigainphone_toolbar/visi.png"
                     sourceSize.width: platformStyle.graphicSizeSmall
                     sourceSize.height: platformStyle.graphicSizeSmall
                 }
                text: qsTr("All")
                onClicked: {
                    pageStack.clear();
                    pageStack.push(mainPage);
                }
            }
        }
    }
    function logMessage(text)
    {
        etalonsPage.logMessage(text)
    }

    NfcInfo {
        id: nfcInfo

        objectName: "nfcInfoObj"
        Component.onCompleted: nfcInfo.initAndStartNfc();

//         Add a message to the model
        onNfcInfoUpdate: {
            logMessage(nfcInfoText);
        }

    }
}
